Name:           nodejs-mapnik-reference
Version:        5.0.7
Release:        1%{?dist}
Summary:        Reference for Mapnik Styling Options

License:        Public Domain
URL:            https://github.com/mapnik/mapnik-reference
Source0:        http://registry.npmjs.org/mapnik-reference/-/mapnik-reference-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging
BuildRequires:  python
BuildRequires:  python-simplejson

%description
Provides a parseable spec of what Mapnik can do - what main structures
it supports (like layers, styles, and symbolizers) and the properties
they can contain. It's useful for building parsers, tests, compilers, and
syntax highlighting/checking for languages


%prep
%setup -q -n package


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/mapnik-reference
cp -pr package.json index.js %{buildroot}/%{nodejs_sitelib}/mapnik-reference
mkdir -p %{buildroot}/%{_datadir}/%{name}
for dir in 2.* latest
do
  cp -pr ${dir} %{buildroot}/%{_datadir}/%{name}
  ln -sf %{_datadir}/%{name}/${dir} %{buildroot}/%{nodejs_sitelib}/mapnik-reference
done
%nodejs_symlink_deps


%check
%{__python} test/test.py


%files
%doc README.md LICENSE.md CHANGELOG.md
%{nodejs_sitelib}/mapnik-reference
%{_datadir}/%{name}


%changelog
* Wed Oct 30 2013 Tom Hughes <tom@compton.nu> - 5.0.7-1
- Update to 5.0.7 upstream release

* Fri Sep 27 2013 Tom Hughes <tom@compton.nu> - 5.0.6-1
- Update to 5.0.6 upstream release

* Fri Sep 20 2013 Tom Hughes <tom@compton.nu> - 5.0.5-1
- Update to 5.0.5 upstream release
- Update to latest nodejs packaging standards

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar  2 2013 Tom Hughes <tom@compton.nu> - 5.0.4-2
- Use %%{__python} instead of %%{__python2}
- Run tests against an unpatched copy of the package
- Removed hyphen from parseable in description

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 5.0.4-1
- Initial build of 5.0.4
